public class diffdump
	{

	public static void main(String[] args) 
		{
		System.loadLibrary("DiffractionImaJ");
		DiffractionImage diff=new DiffractionImage();
		diff.loadHeader(args[0]);
		System.out.println("Format : "+diff.getFormat());
		System.out.println("Manufacturer : "+diff.getManufacturer());
		System.out.println("Collection date: "+diff.getDate());
		System.out.println("Exposure Time: "+Float.toString(diff.getExposureTime()));
		System.out.println("Detector S/N: "+diff.getSerialNo());
		System.out.println("Wavelength: "+Float.toString(diff.getWavelength()));
		System.out.println("Beam Center: ("+Float.toString(diff.getBeamX())+
		                   ", "+Float.toString(diff.getBeamY())+")");
		System.out.println("Distance to Detector: "+Float.toString(diff.getDistance()));
		System.out.println("Image size : ("+Integer.toString(diff.getWidth())+
		                   " px, "+Integer.toString(diff.getHeight())+" px)");
		System.out.println("Pixel size : ("+Float.toString(diff.getPixelX())+
		                   " mm, "+Float.toString(diff.getPixelY())+" mm)");
		System.out.println("Oscillation ("+diff.getOscAxis()+") :"+
						   Float.toString(diff.getOscStart())+" -> "+
						   Float.toString(diff.getOscEnd()));
		if(diff.getTwoTheta() >= 0)
			System.out.println("Two theta value: "+Float.toString(diff.getTwoTheta()));
		else
			System.out.println("Two theta value (not in header) : 0.0");
		}

	}
